Package org.apache.sling.jackrabbit.usermanager.resource

# Interface SystemUserManagerPaths

All Known Implementing Classes:
  `AuthorizableResourceProvider`

public interface SystemUserManagerPaths
Helper for components that need to know the UserManager resource paths

## Method Summary

Modifier and Type
Method
Description
`String`
`getGroupPrefix()`
The path prefix (before the id) for groups
`String`
`getGroupsPath()`
The root path for all group resources
`String`
`getRootPath()`
The root path for usermanager resources
`String`
`getUserPrefix()`
The path prefix (before the id) for users
`String`
`getUsersPath()`
The root path for all user resources

## Method Details

### getRootPath

String getRootPath()
The root path for usermanager resources

### getUsersPath

String getUsersPath()
The root path for all user resources

### getUserPrefix

String getUserPrefix()
The path prefix (before the id) for users

### getGroupsPath

String getGroupsPath()
The root path for all group resources

### getGroupPrefix

String getGroupPrefix()
The path prefix (before the id) for groups